Bug 29722 - Add some diversity to sample quotes
Summary: Add some diversity to sample quotes
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2021-12-17 02:48 UTC by Aleisha Amohia
Modified: 2022-03-17 17:32 UTC (History)
7 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This patch adds sample quotes from women, women of colour, trans women, Black and Indigenous women, and people who weren't US Presidents!
Version(s) released in:
22.05.00,21.11.03,21.05.11,20.11.17


Attachments
Bug 29722: Add more sample quotes (3.76 KB, patch)
2021-12-17 02:50 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 29722: Add more sample quotes (3.81 KB, patch)
2021-12-21 20:32 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 29722: Add more sample quotes (3.87 KB, patch)
2022-01-09 11:21 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29722: (QA follow-up) Replace unusual single quote (994 bytes, patch)
2022-01-22 06:45 UTC, Fridolin Somers
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2021-12-17 02:48:37 UTC
Currently all of the sample quotes are by US Presidents and were all said by white men. It would be great to see some diversity in these sample quotes.
Comment 1 Aleisha Amohia 2021-12-17 02:50:31 UTC
Created attachment 128643 [details] [review]
Bug 29722: Add more sample quotes

This patch adds sample quotes from women, women of colour, trans women,
Black and Indigenous women, and people who weren't US Presidents!

To test:
1. Install a fresh Koha and import sample quotes
2. Go to Tools -> Quote editor
3. Confirm the quotes show

Sponsored-by: Catalyst IT
Comment 2 Katrin Fischer 2021-12-17 08:45:58 UTC
I really love this, thx Aleisha!

I had tried to get people to send me quotes at one of the GBSD days, but sadly that didn't work out. Glad to see more diversity, will try to test (or better QA).
Comment 3 Lucas Gass 2021-12-21 20:32:53 UTC
Created attachment 128848 [details] [review]
Bug 29722: Add more sample quotes

This patch adds sample quotes from women, women of colour, trans women,
Black and Indigenous women, and people who weren't US Presidents!

To test:
1. Install a fresh Koha and import sample quotes
2. Go to Tools -> Quote editor
3. Confirm the quotes show

Sponsored-by: Catalyst IT

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 4 Katrin Fischer 2022-01-09 11:21:25 UTC
Created attachment 129235 [details] [review]
Bug 29722: Add more sample quotes

This patch adds sample quotes from women, women of colour, trans women,
Black and Indigenous women, and people who weren't US Presidents!

To test:
1. Install a fresh Koha and import sample quotes
2. Go to Tools -> Quote editor
3. Confirm the quotes show

Sponsored-by: Catalyst IT

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2022-01-09 11:22:27 UTC
I was aiming to mostly work on bug fixes... but this is kind of a bug fix for me :)
Comment 6 Fridolin Somers 2022-01-22 06:37:03 UTC
For another enhancement: we should add a wikipedia link to help discover less known persons.
Comment 7 Fridolin Somers 2022-01-22 06:45:58 UTC
Created attachment 129712 [details] [review]
Bug 29722: (QA follow-up) Replace unusual single quote
Comment 8 Fridolin Somers 2022-01-22 06:47:48 UTC
I found an unusual single quote character in nĀ°44.
Looks like it works but it is more consistent to use usual single quote.
Comment 9 Fridolin Somers 2022-01-22 07:40:45 UTC
Pushed to master for 22.05, thanks to everybody involved šŸ¦„
Comment 10 Kyle M Hall 2022-02-07 13:10:38 UTC
Pushed to 21.11.x for 21.11.03
Comment 11 Andrew Fuerste-Henry 2022-02-21 14:58:05 UTC
Pushed to 21.05.x for 21.05.11
Comment 12 Katrin Fischer 2022-02-21 19:59:09 UTC
Love this patch, but please keep in mind that strings added to the installer are now showing up in translations on pootle too (which is pretty awesome, but means they are string changes :) )
Comment 13 Andrew Fuerste-Henry 2022-02-22 13:09:26 UTC
(In reply to Katrin Fischer from comment #12)
> Love this patch, but please keep in mind that strings added to the installer
> are now showing up in translations on pootle too (which is pretty awesome,
> but means they are string changes :) )

My apologies for that! For some reason I thought these didn't get translated.
Comment 14 Victor Grousset/tuxayo 2022-02-24 22:30:52 UTC
Thanks a lot for more quotes, and cool ones! :D Some of the old ones are really obnoxious >_<

> For some reason I thought these didn't get translated.

It depends on the translators. On Canada's french and France's french they are just copied as is. Maybe that might change once we reach 100%
Comment 15 Victor Grousset/tuxayo 2022-02-24 22:31:30 UTC
Backported: Pushed to 20.11.x branch for 20.11.16
Comment 16 wainuiwitikapark 2022-03-07 03:44:02 UTC
Does this need to be backported to 19.11.x?
Comment 17 Aleisha Amohia 2022-03-07 03:55:42 UTC
(In reply to wainuiwitikapark from comment #16)
> Does this need to be backported to 19.11.x?

Completely up to you!
Comment 18 wainuiwitikapark 2022-03-09 01:48:46 UTC
Not backported to 19.11.x